vellTRDocs
API ReferencePayoutsGet Payout Draft

Get Payout Draft

GET/v1/payout-drafts/{id}Optional

Draft header plus per-row disposition.

Authentication

Signature Pattern

HMAC-SHA256(secretKey, "{timestamp}\nGET\n/v1/payout-drafts/{id}\n{sha256(\"\")}")
HeaderValueDescription
X-Api-Keypk_live_a1b2c3d4e5f6g7h8Merchant public API key
X-Signature{hmac_sha256_hex}Hex HMAC-SHA256 request signature
X-Timestamp2026-04-13T10:00:00ZISO 8601 UTC request time (±5 min)

Response Parameters

FieldTypeExample
draftIdstring"drf_8192a3b4c5d6"
statusstring"draft"
rowsarray[…]
rows[].rowIdstring"row_01"
rows[].railstring"fast"
rows[].holderNamestring"Acme Ltd"
rows[].amountMinorinteger100000
rows[].statusstring"validated"

Response Example

JSONResponse
{
  "draftId": "drf_8192a3b4c5d6",
  "status": "draft",
  "rows": [
    {
      "rowId": "row_01",
      "rail": "fast",
      "holderName": "Acme Ltd",
      "amountMinor": 100000,
      "status": "validated"
    },
    {
      "rowId": "row_02",
      "rail": "eft",
      "holderName": "Beta AŞ",
      "amountMinor": 50000,
      "status": "validated"
    }
  ]
}

Status Codes

200Success
201Created
400Bad Request
401Unauthorized
404Not Found
429Rate Limited
Try itMock
GEThttps://api.pay.sandbox.kvell.group